Skip to content

listMySubscriptions

GET
/v1/me/subscriptions
curl --request GET \
--url 'https://testnet-rpc.necter.network/v1/me/subscriptions?status=pending_collateral&limit=50' \
--header 'Authorization: Bearer <token>'
project_id
string
/^0x[0-9a-f]{64}$/
node_id
string
/^ndsr-[0-9a-f]{16}$/
status
string
Allowed values: pending_collateral active paused jailed unbonding withdrawable closed
limit
integer
default: 50 >= 1 <= 200
cursor
string

Subscriptions

Media typeapplication/json
object
items
required
array
next_cursor
required
string | null
items
required
Array<object>
object
subscription_id
required
string
/^0x[0-9a-f]{64}$/
project_id
required
string
/^0x[0-9a-f]{64}$/
project_name
string
node_id
required
string
/^ndsr-[0-9a-f]{16}$/
owner
required

Lowercase EVM address

string
/^0x[0-9a-f]{40}$/
payout_address

Lowercase EVM address

string
/^0x[0-9a-f]{40}$/
status
required
string
Allowed values: pending_collateral active paused jailed unbonding withdrawable closed
collateral
required

Token base units

string
/^(0|[1-9][0-9]{0,77})$/
min_collateral

Token base units

string
/^(0|[1-9][0-9]{0,77})$/
collateral_health
string
Allowed values: healthy warning critical
release_at
One of:
integer
pending_slashes
integer
slashed_total

Token base units

string
/^(0|[1-9][0-9]{0,77})$/
reputation
integer
uptime_bp
integer
leases_completed
integer
units_total
integer
earned_total

Token base units

string
/^(0|[1-9][0-9]{0,77})$/
token
object
address
required

Lowercase EVM address

string
/^0x[0-9a-f]{40}$/
symbol
required
string
name
string
decimals
required
integer
<= 36
last_proof_at
One of:
integer
started_at
One of:
integer
created_at
integer

Example

{
"items": [
{
"status": "pending_collateral",
"collateral_health": "healthy"
}
]
}